Package de.gebit.integrity.serializer

## Class AbstractDSLSemanticSequencer

- java.lang.Object
- - org.eclipse.xtext.serializer.sequencer.AbstractSemanticSequencer
  - - org.eclipse.xtext.serializer.sequencer.AbstractDelegatingSemanticSequencer
    - - de.gebit.integrity.serializer.AbstractDSLSemanticSequencer

- All Implemented Interfaces:
    `org.eclipse.xtext.serializer.sequencer.ISemanticSequencer`
  Direct Known Subclasses:
    `DSLSemanticSequencer`

      public abstract class AbstractDSLSemanticSequencer
      extends org.eclipse.xtext.serializer.sequencer.AbstractDelegatingSemanticSequencer

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.xtext.serializer.sequencer.AbstractDelegatingSemanticSequencer

      `genericSequencer, genericSequencerProvider`

    - ### Fields inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSemanticSequencer

      `diagnosticProvider, errorAcceptor, feederProvider, masterSequencer, nodeProvider, sequenceAcceptor, transientValues`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractDSLSemanticSequencer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `sequence​(org.eclipse.xtext.serializer.ISerializationContext context, org.eclipse.emf.ecore.EObject semanticObject)` |
    `protected void` | `sequence_ArbitraryParameterOrResultName​(org.eclipse.xtext.serializer.ISerializationContext context, ArbitraryParameterOrResultName semanticObject)` | Contexts: ResultName returns ArbitraryParameterOrResultName ParameterName returns ArbitraryParameterOrResultName ArbitraryParameterOrResultName returns ArbitraryParameterOrResultName Constraint: (identifier=ID | stringIdentifier=STRING)
    `protected void` | `sequence_BooleanValue​(org.eclipse.xtext.serializer.ISerializationContext context, BooleanValue semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns BooleanValue Value returns BooleanValue ConstantValue returns BooleanValue StaticValue returns BooleanValue BooleanValue returns BooleanValue Constraint: (booleanValue=BOOLEAN_TRUE | booleanValue=BOOLEAN_FALSE)
    `protected void` | `sequence_Call​(org.eclipse.xtext.serializer.ISerializationContext context, Call semanticObject)` | Contexts: SuiteStatement returns Call SuiteStatementWithResult returns Call Call returns Call Constraint: ( multiplier=ExecutionMultiplier? definition=[CallDefinition|QualifiedName] parameters+=Parameter* results+=NamedCallResult* result=VariableVariable? )
    `protected void` | `sequence_CallDefinition​(org.eclipse.xtext.serializer.ISerializationContext context, CallDefinition semanticObject)` | Contexts: PackageStatement returns CallDefinition CallDefinition returns CallDefinition Constraint: (documentation=DocumentationComment? name=QualifiedName fixtureMethod=MethodReference)
    `protected void` | `sequence_Constant​(org.eclipse.xtext.serializer.ISerializationContext context, Constant semanticObject)` | Contexts: ConstantValue returns Constant Constant returns Constant Constraint: name=[ConstantEntity|QualifiedName]
    `protected void` | `sequence_ConstantDefinition​(org.eclipse.xtext.serializer.ISerializationContext context, ConstantDefinition semanticObject)` | Contexts: PackageStatement returns ConstantDefinition SuiteStatement returns ConstantDefinition ConstantDefinition returns ConstantDefinition Constraint: ( documentation=DocumentationComment? private='private'? name=ConstantEntity value=ValueOrEnumValueOrOperationCollection? variantValues+=VariantValue* parameterized='parameterized'? )
    `protected void` | `sequence_ConstantEntity​(org.eclipse.xtext.serializer.ISerializationContext context, ConstantEntity semanticObject)` | Contexts: ConstantEntity returns ConstantEntity VariableOrConstantEntity returns ConstantEntity Constraint: name=QualifiedName
    `protected void` | `sequence_CustomOperation​(org.eclipse.xtext.serializer.ISerializationContext context, CustomOperation semanticObject)` | Contexts: Operation returns CustomOperation CustomOperation returns CustomOperation ValueOrEnumValueOrOperation returns CustomOperation Constraint: ( prefixOperand=ValueOrEnumValueOrOperationCollection? definition=[OperationDefinition|QualifiedName] postfixOperand=ValueOrEnumValueOrOperationCollection? )
    `protected void` | `sequence_DecimalValue​(org.eclipse.xtext.serializer.ISerializationContext context, DecimalValue semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns DecimalValue Value returns DecimalValue ConstantValue returns DecimalValue StaticValue returns DecimalValue DecimalValue returns DecimalValue Constraint: decimalValue=DECIMAL
    `protected void` | `sequence_DocumentationComment​(org.eclipse.xtext.serializer.ISerializationContext context, DocumentationComment semanticObject)` | Contexts: DocumentationComment returns DocumentationComment Constraint: content=ML_DOC_COMMENT
    `protected void` | `sequence_EmptyValue​(org.eclipse.xtext.serializer.ISerializationContext context, Empty semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns Empty Value returns Empty ConstantValue returns Empty StaticValue returns Empty EmptyValue returns Empty Constraint: {Empty}
    `protected void` | `sequence_EnumValue​(org.eclipse.xtext.serializer.ISerializationContext context, EnumValue semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns EnumValue EnumValue returns EnumValue Constraint: enumValue=[JvmEnumerationLiteral|UPPERCASE_ID]
    `protected void` | `sequence_EuropeanDateAnd12HrsTimeValue​(org.eclipse.xtext.serializer.ISerializationContext context, EuropeanDateAnd12HrsTimeValue semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns EuropeanDateAnd12HrsTimeValue Value returns EuropeanDateAnd12HrsTimeValue ConstantValue returns EuropeanDateAnd12HrsTimeValue StaticValue returns EuropeanDateAnd12HrsTimeValue DateAndTimeValue returns EuropeanDateAnd12HrsTimeValue EuropeanDateAnd12HrsTimeValue returns EuropeanDateAnd12HrsTimeValue Constraint: (dateValue=EURODATE timeValue=TWELVEHRSTIME)
    `protected void` | `sequence_EuropeanDateAnd24HrsTimeValue​(org.eclipse.xtext.serializer.ISerializationContext context, EuropeanDateAnd24HrsTimeValue semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns EuropeanDateAnd24HrsTimeValue Value returns EuropeanDateAnd24HrsTimeValue ConstantValue returns EuropeanDateAnd24HrsTimeValue StaticValue returns EuropeanDateAnd24HrsTimeValue DateAndTimeValue returns EuropeanDateAnd24HrsTimeValue EuropeanDateAnd24HrsTimeValue returns EuropeanDateAnd24HrsTimeValue Constraint: (dateValue=EURODATE timeValue=TWENTYFOURHRSTIME)
    `protected void` | `sequence_EuropeanDateValue​(org.eclipse.xtext.serializer.ISerializationContext context, EuropeanDateValue semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns EuropeanDateValue Value returns EuropeanDateValue ConstantValue returns EuropeanDateValue StaticValue returns EuropeanDateValue DateValue returns EuropeanDateValue EuropeanDateValue returns EuropeanDateValue Constraint: dateValue=EURODATE
    `protected void` | `sequence_ExecutionMultiplier​(org.eclipse.xtext.serializer.ISerializationContext context, ExecutionMultiplier semanticObject)` | Contexts: ExecutionMultiplier returns ExecutionMultiplier Constraint: count=ConstantValue
    `protected void` | `sequence_FixedParameterName​(org.eclipse.xtext.serializer.ISerializationContext context, FixedParameterName semanticObject)` | Contexts: ParameterName returns FixedParameterName FixedParameterName returns FixedParameterName Constraint: annotation=[JvmAnnotationReference|ID]
    `protected void` | `sequence_FixedResultName​(org.eclipse.xtext.serializer.ISerializationContext context, FixedResultName semanticObject)` | Contexts: ResultName returns FixedResultName FixedResultName returns FixedResultName Constraint: field=[JvmField|ID]
    `protected void` | `sequence_ForkDefinition​(org.eclipse.xtext.serializer.ISerializationContext context, ForkDefinition semanticObject)` | Contexts: Statement returns ForkDefinition PackageStatement returns ForkDefinition ForkDefinition returns ForkDefinition Constraint: ( documentation=DocumentationComment? private='private'? name=QualifiedName description=STRING? (forkerClass=JavaClassReference | baseFork=[ForkDefinition|QualifiedName])? parameters+=ForkParameter* )
    `protected void` | `sequence_ForkParameter​(org.eclipse.xtext.serializer.ISerializationContext context, ForkParameter semanticObject)` | Contexts: ForkParameter returns ForkParameter Constraint: (name=FixedParameterName value=ValueOrEnumValueOrOperation)
    `protected void` | `sequence_Import​(org.eclipse.xtext.serializer.ISerializationContext context, Import semanticObject)` | Contexts: Import returns Import Constraint: importedNamespace=QualifiedNameWithWildcard
    `protected void` | `sequence_InexistentValue​(org.eclipse.xtext.serializer.ISerializationContext context, Inexistent semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns Inexistent Value returns Inexistent ConstantValue returns Inexistent StaticValue returns Inexistent InexistentValue returns Inexistent Constraint: {Inexistent}
    `protected void` | `sequence_IntegerValue​(org.eclipse.xtext.serializer.ISerializationContext context, IntegerValue semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns IntegerValue Value returns IntegerValue ConstantValue returns IntegerValue StaticValue returns IntegerValue IntegerValue returns IntegerValue Constraint: integerValue=INTEGER
    `protected void` | `sequence_IsoDateAndTimeValue​(org.eclipse.xtext.serializer.ISerializationContext context, IsoDateAndTimeValue semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns IsoDateAndTimeValue Value returns IsoDateAndTimeValue ConstantValue returns IsoDateAndTimeValue StaticValue returns IsoDateAndTimeValue DateAndTimeValue returns IsoDateAndTimeValue IsoDateAndTimeValue returns IsoDateAndTimeValue Constraint: (dateValue=ISODATE timeValue=ISOTIME)
    `protected void` | `sequence_IsoDateValue​(org.eclipse.xtext.serializer.ISerializationContext context, IsoDateValue semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns IsoDateValue Value returns IsoDateValue ConstantValue returns IsoDateValue StaticValue returns IsoDateValue DateValue returns IsoDateValue IsoDateValue returns IsoDateValue Constraint: dateValue=ISODATE
    `protected void` | `sequence_IsoTimeValue​(org.eclipse.xtext.serializer.ISerializationContext context, IsoTimeValue semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns IsoTimeValue Value returns IsoTimeValue ConstantValue returns IsoTimeValue StaticValue returns IsoTimeValue TimeValue returns IsoTimeValue IsoTimeValue returns IsoTimeValue Constraint: timeValue=ISOTIME
    `protected void` | `sequence_JavaClassReference​(org.eclipse.xtext.serializer.ISerializationContext context, JavaClassReference semanticObject)` | Contexts: JavaClassReference returns JavaClassReference Constraint: type=[JvmType|QualifiedJavaClassName]
    `protected void` | `sequence_JavaConstantReference​(org.eclipse.xtext.serializer.ISerializationContext context, JavaConstantReference semanticObject)` | Contexts: JavaConstantReference returns JavaConstantReference Constraint: (type=[JvmType|QualifiedJavaClassName] constant=[JvmField|UPPERCASE_ID])
    `protected void` | `sequence_JavaConstantValue​(org.eclipse.xtext.serializer.ISerializationContext context, JavaConstantValue semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns JavaConstantValue Value returns JavaConstantValue ConstantValue returns JavaConstantValue StaticValue returns JavaConstantValue JavaConstantValue returns JavaConstantValue Constraint: constant=JavaConstantReference
    `protected void` | `sequence_KeyValuePair​(org.eclipse.xtext.serializer.ISerializationContext context, KeyValuePair semanticObject)` | Contexts: KeyValuePair returns KeyValuePair Constraint: ((identifier=ID | stringIdentifier=STRING) value=ValueOrEnumValueOrOperationCollection)
    `protected void` | `sequence_MethodReference​(org.eclipse.xtext.serializer.ISerializationContext context, MethodReference semanticObject)` | Contexts: MethodReference returns MethodReference Constraint: (type=[JvmType|QualifiedJavaClassName] method=[JvmOperation|ID])
    `protected void` | `sequence_Model​(org.eclipse.xtext.serializer.ISerializationContext context, Model semanticObject)` | Contexts: Model returns Model Constraint: (imports+=Import* statements+=Statement*)
    `protected void` | `sequence_NamedCallResult​(org.eclipse.xtext.serializer.ISerializationContext context, NamedCallResult semanticObject)` | Contexts: NamedCallResult returns NamedCallResult Constraint: (name=ResultName target=VariableVariable)
    `protected void` | `sequence_NamedResult​(org.eclipse.xtext.serializer.ISerializationContext context, NamedResult semanticObject)` | Contexts: NamedResult returns NamedResult Constraint: (name=ResultName value=ValueOrEnumValueOrOperationCollection)
    `protected void` | `sequence_NestedObject​(org.eclipse.xtext.serializer.ISerializationContext context, NestedObject semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns NestedObject Value returns NestedObject NestedObject returns NestedObject Constraint: attributes+=KeyValuePair+
    `protected void` | `sequence_NullValue​(org.eclipse.xtext.serializer.ISerializationContext context, Null semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns Null Value returns Null ConstantValue returns Null StaticValue returns Null NullValue returns Null Constraint: {Null}
    `protected void` | `sequence_OperationDefinition​(org.eclipse.xtext.serializer.ISerializationContext context, OperationDefinition semanticObject)` | Contexts: PackageStatement returns OperationDefinition OperationDefinition returns OperationDefinition Constraint: (name=QualifiedName operationType=JavaClassReference)
    `protected void` | `sequence_PackageDefinition​(org.eclipse.xtext.serializer.ISerializationContext context, PackageDefinition semanticObject)` | Contexts: Statement returns PackageDefinition PackageDefinition returns PackageDefinition Constraint: (documentation=DocumentationComment? name=QualifiedName statements+=PackageStatement*)
    `protected void` | `sequence_Parameter​(org.eclipse.xtext.serializer.ISerializationContext context, Parameter semanticObject)` | Contexts: Parameter returns Parameter Constraint: (name=ParameterName value=ValueOrEnumValueOrOperationCollection)
    `protected void` | `sequence_ParameterTableHeader​(org.eclipse.xtext.serializer.ISerializationContext context, ParameterTableHeader semanticObject)` | Contexts: ParameterTableHeader returns ParameterTableHeader Constraint: name=ParameterName
    `protected void` | `sequence_ParameterTableValue​(org.eclipse.xtext.serializer.ISerializationContext context, ParameterTableValue semanticObject)` | Contexts: ParameterTableValue returns ParameterTableValue Constraint: value=ValueOrEnumValueOrOperationCollection
    `protected void` | `sequence_RegexValue​(org.eclipse.xtext.serializer.ISerializationContext context, RegexValue semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns RegexValue Value returns RegexValue ConstantValue returns RegexValue StaticValue returns RegexValue RegexValue returns RegexValue Constraint: regexValue=REGEX
    `protected void` | `sequence_ResultTableHeader​(org.eclipse.xtext.serializer.ISerializationContext context, ResultTableHeader semanticObject)` | Contexts: ResultTableHeader returns ResultTableHeader Constraint: name=ResultName
    `protected void` | `sequence_Simple12HrsTimeValue​(org.eclipse.xtext.serializer.ISerializationContext context, Simple12HrsTimeValue semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns Simple12HrsTimeValue Value returns Simple12HrsTimeValue ConstantValue returns Simple12HrsTimeValue StaticValue returns Simple12HrsTimeValue TimeValue returns Simple12HrsTimeValue Simple12HrsTimeValue returns Simple12HrsTimeValue Constraint: timeValue=TWELVEHRSTIME
    `protected void` | `sequence_Simple24HrsTimeValue​(org.eclipse.xtext.serializer.ISerializationContext context, Simple24HrsTimeValue semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns Simple24HrsTimeValue Value returns Simple24HrsTimeValue ConstantValue returns Simple24HrsTimeValue StaticValue returns Simple24HrsTimeValue TimeValue returns Simple24HrsTimeValue Simple24HrsTimeValue returns Simple24HrsTimeValue Constraint: timeValue=TWENTYFOURHRSTIME
    `protected void` | `sequence_StandardOperation​(org.eclipse.xtext.serializer.ISerializationContext context, StandardOperation semanticObject)` | Contexts: Operation returns StandardOperation StandardOperation returns StandardOperation ValueOrEnumValueOrOperation returns StandardOperation Constraint: ( firstOperand=ValueOrEnumValueOrOperation ( ( operators+='+' | operators+='-' | operators+='*' | operators+='/' | operators+='%' | operators+='..' ) moreOperands+=ValueOrEnumValueOrOperation )+ )
    `protected void` | `sequence_StringValue​(org.eclipse.xtext.serializer.ISerializationContext context, StringValue semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns StringValue Value returns StringValue ConstantValue returns StringValue StaticValue returns StringValue StringValue returns StringValue Constraint: stringValue=STRING
    `protected void` | `sequence_Suite​(org.eclipse.xtext.serializer.ISerializationContext context, Suite semanticObject)` | Contexts: SuiteStatement returns Suite SuiteStatementWithResult returns Suite Suite returns Suite Constraint: ( inlined='inlined'? multiplier=ExecutionMultiplier? definition=[SuiteDefinition|QualifiedName] parameters+=SuiteParameter* return+=SuiteReturn* fork=[ForkDefinition|QualifiedName]? variants+=[VariantDefinition|QualifiedName]* )
    `protected void` | `sequence_SuiteDefinition​(org.eclipse.xtext.serializer.ISerializationContext context, SuiteDefinition semanticObject)` | Contexts: PackageStatement returns SuiteDefinition SuiteDefinition returns SuiteDefinition Constraint: ( documentation=DocumentationComment? private='private'? singleRun='single-run'? inlined='inlined'? name=QualifiedName parameters+=SuiteParameterDefinition* return+=SuiteReturnDefinition* dependencies+=[SuiteDefinition|QualifiedName]* finalizers+=[SuiteDefinition|QualifiedName]* statements+=SuiteStatement* )
    `protected void` | `sequence_SuiteParameter​(org.eclipse.xtext.serializer.ISerializationContext context, SuiteParameter semanticObject)` | Contexts: SuiteParameter returns SuiteParameter Constraint: (name=[VariableOrConstantEntity|QualifiedName] value=ValueOrEnumValueOrOperationCollection)
    `protected void` | `sequence_SuiteParameterDefinition​(org.eclipse.xtext.serializer.ISerializationContext context, SuiteParameterDefinition semanticObject)` | Contexts: SuiteParameterDefinition returns SuiteParameterDefinition Constraint: (name=VariableEntity default=ValueOrEnumValueOrOperationCollection?)
    `protected void` | `sequence_SuiteReturn​(org.eclipse.xtext.serializer.ISerializationContext context, SuiteReturn semanticObject)` | Contexts: SuiteReturn returns SuiteReturn Constraint: (name=[SuiteReturnDefinition|QualifiedName] target=VariableVariable)
    `protected void` | `sequence_SuiteReturnDefinition​(org.eclipse.xtext.serializer.ISerializationContext context, SuiteReturnDefinition semanticObject)` | Contexts: SuiteReturnDefinition returns SuiteReturnDefinition Constraint: name=VariableEntity
    `protected void` | `sequence_TableTest​(org.eclipse.xtext.serializer.ISerializationContext context, TableTest semanticObject)` | Contexts: SuiteStatement returns TableTest SuiteStatementWithResult returns TableTest TableTest returns TableTest Constraint: ( definition=[TestDefinition|QualifiedName] parameters+=Parameter* parameterHeaders+=ParameterTableHeader* resultHeaders+=ResultTableHeader* defaultResultColumn='='? rows+=TableTestRow+ )
    `protected void` | `sequence_TableTestRow​(org.eclipse.xtext.serializer.ISerializationContext context, TableTestRow semanticObject)` | Contexts: TableTestRow returns TableTestRow Constraint: values+=ParameterTableValue+
    `protected void` | `sequence_Test​(org.eclipse.xtext.serializer.ISerializationContext context, Test semanticObject)` | Contexts: SuiteStatement returns Test SuiteStatementWithResult returns Test Test returns Test Constraint: ( checkpoint='checkpoint'? definition=[TestDefinition|QualifiedName] parameters+=Parameter* results+=NamedResult* result=ValueOrEnumValueOrOperationCollection? )
    `protected void` | `sequence_TestDefinition​(org.eclipse.xtext.serializer.ISerializationContext context, TestDefinition semanticObject)` | Contexts: PackageStatement returns TestDefinition TestDefinition returns TestDefinition Constraint: (documentation=DocumentationComment? name=QualifiedName fixtureMethod=MethodReference)
    `protected void` | `sequence_TimeDifference​(org.eclipse.xtext.serializer.ISerializationContext context, TimeDifference semanticObject)` | Contexts: TimeDifference returns TimeDifference Constraint: ((direction='+' | direction='-') (fixedValues+=TIMESPAN+ | calculatedValue=Variable | calculatedValue=Operation))
    `protected void` | `sequence_TimeProgressionFactor​(org.eclipse.xtext.serializer.ISerializationContext context, TimeProgressionFactor semanticObject)` | Contexts: TimeProgressionFactor returns TimeProgressionFactor Constraint: (fixedValue=MULTIPLIER | calculatedValue=Variable | calculatedValue=Operation)
    `protected void` | `sequence_TimeSet​(org.eclipse.xtext.serializer.ISerializationContext context, TimeSet semanticObject)` | Contexts: SuiteStatement returns TimeSet SuiteStatementWithResult returns TimeSet TimeSet returns TimeSet Constraint: ( ( live='live' | ((startTime=ValueOrEnumValueOrOperation | diffTime=TimeDifference) (progressionMode='progressing' progressionFactor=TimeProgressionFactor?)?) ) forks+=[ForkDefinition|QualifiedName]? (masterFork='master'? forks+=[ForkDefinition|QualifiedName]?)* )
    `protected void` | `sequence_TypedNestedObject​(org.eclipse.xtext.serializer.ISerializationContext context, TypedNestedObject semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns TypedNestedObject Value returns TypedNestedObject TypedNestedObject returns TypedNestedObject Constraint: (type=JavaClassReference nestedObject=NestedObject)
    `protected void` | `sequence_USDateAnd12HrsTimeValue​(org.eclipse.xtext.serializer.ISerializationContext context, USDateAnd12HrsTimeValue semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns USDateAnd12HrsTimeValue Value returns USDateAnd12HrsTimeValue ConstantValue returns USDateAnd12HrsTimeValue StaticValue returns USDateAnd12HrsTimeValue DateAndTimeValue returns USDateAnd12HrsTimeValue USDateAnd12HrsTimeValue returns USDateAnd12HrsTimeValue Constraint: (dateValue=USDATE timeValue=TWELVEHRSTIME)
    `protected void` | `sequence_USDateValue​(org.eclipse.xtext.serializer.ISerializationContext context, USDateValue semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns USDateValue Value returns USDateValue ConstantValue returns USDateValue StaticValue returns USDateValue DateValue returns USDateValue USDateValue returns USDateValue Constraint: dateValue=USDATE
    `protected void` | `sequence_ValueOrEnumValueOrOperationCollection​(org.eclipse.xtext.serializer.ISerializationContext context, ValueOrEnumValueOrOperationCollection semanticObject)` | Contexts: ValueOrEnumValueOrOperationCollection returns ValueOrEnumValueOrOperationCollection Constraint: (value=ValueOrEnumValueOrOperation moreValues+=ValueOrEnumValueOrOperation*)
    `protected void` | `sequence_Variable​(org.eclipse.xtext.serializer.ISerializationContext context, Variable semanticObject)` | Contexts: ValueOrEnumValueOrOperation returns Variable Value returns Variable Variable returns Variable Constraint: (name=[VariableOrConstantEntity|QualifiedName] attribute=QualifiedName?)
    `protected void` | `sequence_VariableAssignment​(org.eclipse.xtext.serializer.ISerializationContext context, VariableAssignment semanticObject)` | Contexts: SuiteStatement returns VariableAssignment VariableAssignment returns VariableAssignment Constraint: (value=ValueOrEnumValueOrOperationCollection target=VariableVariable)
    `protected void` | `sequence_VariableDefinition​(org.eclipse.xtext.serializer.ISerializationContext context, VariableDefinition semanticObject)` | Contexts: PackageStatement returns VariableDefinition SuiteStatement returns VariableDefinition VariableDefinition returns VariableDefinition Constraint: (private='private'? name=VariableEntity initialValue=ValueOrEnumValueOrOperationCollection?)
    `protected void` | `sequence_VariableEntity​(org.eclipse.xtext.serializer.ISerializationContext context, VariableEntity semanticObject)` | Contexts: VariableEntity returns VariableEntity VariableOrConstantEntity returns VariableEntity Constraint: name=QualifiedName
    `protected void` | `sequence_VariableVariable​(org.eclipse.xtext.serializer.ISerializationContext context, VariableVariable semanticObject)` | Contexts: VariableVariable returns VariableVariable Constraint: name=[VariableEntity|QualifiedName]
    `protected void` | `sequence_VariantDefinition​(org.eclipse.xtext.serializer.ISerializationContext context, VariantDefinition semanticObject)` | Contexts: Statement returns VariantDefinition PackageStatement returns VariantDefinition VariantDefinition returns VariantDefinition Constraint: (documentation=DocumentationComment? name=QualifiedName description=STRING?)
    `protected void` | `sequence_VariantValue​(org.eclipse.xtext.serializer.ISerializationContext context, VariantValue semanticObject)` | Contexts: VariantValue returns VariantValue Constraint: (names+=[VariantDefinition|QualifiedName]+ value=ValueOrEnumValueOrOperationCollection)
    `protected void` | `sequence_VisibleDivider​(org.eclipse.xtext.serializer.ISerializationContext context, VisibleDivider semanticObject)` | Contexts: VisibleDivider returns VisibleDivider SuiteStatement returns VisibleDivider Constraint: content=DIVIDER
    `protected void` | `sequence_VisibleMultiLineNormalComment​(org.eclipse.xtext.serializer.ISerializationContext context, VisibleMultiLineNormalComment semanticObject)` | Contexts: VisibleComment returns VisibleMultiLineNormalComment VisibleMultiLineComment returns VisibleMultiLineNormalComment VisibleMultiLineNormalComment returns VisibleMultiLineNormalComment SuiteStatement returns VisibleMultiLineNormalComment Constraint: content=ML_VISIBLE_COMMENT
    `protected void` | `sequence_VisibleMultiLineTitleComment​(org.eclipse.xtext.serializer.ISerializationContext context, VisibleMultiLineTitleComment semanticObject)` | Contexts: VisibleComment returns VisibleMultiLineTitleComment VisibleMultiLineComment returns VisibleMultiLineTitleComment VisibleMultiLineTitleComment returns VisibleMultiLineTitleComment SuiteStatement returns VisibleMultiLineTitleComment Constraint: content=ML_VISIBLE_TITLE_COMMENT
    `protected void` | `sequence_VisibleSingleLineNormalComment​(org.eclipse.xtext.serializer.ISerializationContext context, VisibleSingleLineNormalComment semanticObject)` | Contexts: VisibleComment returns VisibleSingleLineNormalComment VisibleSingleLineComment returns VisibleSingleLineNormalComment VisibleSingleLineNormalComment returns VisibleSingleLineNormalComment SuiteStatement returns VisibleSingleLineNormalComment Constraint: content=SL_VISIBLE_COMMENT
    `protected void` | `sequence_VisibleSingleLineTitleComment​(org.eclipse.xtext.serializer.ISerializationContext context, VisibleSingleLineTitleComment semanticObject)` | Contexts: VisibleComment returns VisibleSingleLineTitleComment VisibleSingleLineComment returns VisibleSingleLineTitleComment VisibleSingleLineTitleComment returns VisibleSingleLineTitleComment SuiteStatement returns VisibleSingleLineTitleComment Constraint: content=SL_VISIBLE_TITLE_COMMENT

    - ### Methods inherited from class org.eclipse.xtext.serializer.sequencer.AbstractDelegatingSemanticSequencer

      `init`

    - ### Methods inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSemanticSequencer

      `createContext, createNodeProvider, createSequence, createSequence, createSequencerFeeder, createSequencerFeeder, createSequencerFeeder, createSequencerFeeder, init, setMasterSequencer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractDSLSemanticSequencer

          public AbstractDSLSemanticSequencer()

  - ### Method Detail

    - #### sequence

          public void sequence​(org.eclipse.xtext.serializer.ISerializationContext context,
                               org.eclipse.emf.ecore.EObject semanticObject)

      Overrides:
        `sequence` in class `org.eclipse.xtext.serializer.sequencer.AbstractSemanticSequencer`

    - #### sequence_ArbitraryParameterOrResultName

          protected void sequence_ArbitraryParameterOrResultName​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                                 ArbitraryParameterOrResultName semanticObject)

           Contexts:
               ResultName returns ArbitraryParameterOrResultName
               ParameterName returns ArbitraryParameterOrResultName
               ArbitraryParameterOrResultName returns ArbitraryParameterOrResultName

           Constraint:
               (identifier=ID | stringIdentifier=STRING)

    - #### sequence_BooleanValue

          protected void sequence_BooleanValue​(org.eclipse.xtext.serializer.ISerializationContext context,
                                               BooleanValue semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns BooleanValue
               Value returns BooleanValue
               ConstantValue returns BooleanValue
               StaticValue returns BooleanValue
               BooleanValue returns BooleanValue

           Constraint:
               (booleanValue=BOOLEAN_TRUE | booleanValue=BOOLEAN_FALSE)

    - #### sequence_CallDefinition

          protected void sequence_CallDefinition​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                 CallDefinition semanticObject)

           Contexts:
               PackageStatement returns CallDefinition
               CallDefinition returns CallDefinition

           Constraint:
               (documentation=DocumentationComment? name=QualifiedName fixtureMethod=MethodReference)

    - #### sequence_Call

          protected void sequence_Call​(org.eclipse.xtext.serializer.ISerializationContext context,
                                       Call semanticObject)

           Contexts:
               SuiteStatement returns Call
               SuiteStatementWithResult returns Call
               Call returns Call

           Constraint:
               (
                   multiplier=ExecutionMultiplier?
                   definition=[CallDefinition|QualifiedName]
                   parameters+=Parameter*
                   results+=NamedCallResult*
                   result=VariableVariable?
               )

    - #### sequence_ConstantDefinition

          protected void sequence_ConstantDefinition​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                     ConstantDefinition semanticObject)

           Contexts:
               PackageStatement returns ConstantDefinition
               SuiteStatement returns ConstantDefinition
               ConstantDefinition returns ConstantDefinition

           Constraint:
               (
                   documentation=DocumentationComment?
                   private='private'?
                   name=ConstantEntity
                   value=ValueOrEnumValueOrOperationCollection?
                   variantValues+=VariantValue*
                   parameterized='parameterized'?
               )

    - #### sequence_ConstantEntity

          protected void sequence_ConstantEntity​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                 ConstantEntity semanticObject)

           Contexts:
               ConstantEntity returns ConstantEntity
               VariableOrConstantEntity returns ConstantEntity

           Constraint:
               name=QualifiedName

    - #### sequence_Constant

          protected void sequence_Constant​(org.eclipse.xtext.serializer.ISerializationContext context,
                                           Constant semanticObject)

           Contexts:
               ConstantValue returns Constant
               Constant returns Constant

           Constraint:
               name=[ConstantEntity|QualifiedName]

    - #### sequence_CustomOperation

          protected void sequence_CustomOperation​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                  CustomOperation semanticObject)

           Contexts:
               Operation returns CustomOperation
               CustomOperation returns CustomOperation
               ValueOrEnumValueOrOperation returns CustomOperation

           Constraint:
               (
                   prefixOperand=ValueOrEnumValueOrOperationCollection?
                   definition=[OperationDefinition|QualifiedName]
                   postfixOperand=ValueOrEnumValueOrOperationCollection?
               )

    - #### sequence_DecimalValue

          protected void sequence_DecimalValue​(org.eclipse.xtext.serializer.ISerializationContext context,
                                               DecimalValue semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns DecimalValue
               Value returns DecimalValue
               ConstantValue returns DecimalValue
               StaticValue returns DecimalValue
               DecimalValue returns DecimalValue

           Constraint:
               decimalValue=DECIMAL

    - #### sequence_DocumentationComment

          protected void sequence_DocumentationComment​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                       DocumentationComment semanticObject)

           Contexts:
               DocumentationComment returns DocumentationComment

           Constraint:
               content=ML_DOC_COMMENT

    - #### sequence_EmptyValue

          protected void sequence_EmptyValue​(org.eclipse.xtext.serializer.ISerializationContext context,
                                             Empty semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns Empty
               Value returns Empty
               ConstantValue returns Empty
               StaticValue returns Empty
               EmptyValue returns Empty

           Constraint:
               {Empty}

    - #### sequence_EnumValue

          protected void sequence_EnumValue​(org.eclipse.xtext.serializer.ISerializationContext context,
                                            EnumValue semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns EnumValue
               EnumValue returns EnumValue

           Constraint:
               enumValue=[JvmEnumerationLiteral|UPPERCASE_ID]

    - #### sequence_EuropeanDateAnd12HrsTimeValue

          protected void sequence_EuropeanDateAnd12HrsTimeValue​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                                EuropeanDateAnd12HrsTimeValue semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns EuropeanDateAnd12HrsTimeValue
               Value returns EuropeanDateAnd12HrsTimeValue
               ConstantValue returns EuropeanDateAnd12HrsTimeValue
               StaticValue returns EuropeanDateAnd12HrsTimeValue
               DateAndTimeValue returns EuropeanDateAnd12HrsTimeValue
               EuropeanDateAnd12HrsTimeValue returns EuropeanDateAnd12HrsTimeValue

           Constraint:
               (dateValue=EURODATE timeValue=TWELVEHRSTIME)

    - #### sequence_EuropeanDateAnd24HrsTimeValue

          protected void sequence_EuropeanDateAnd24HrsTimeValue​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                                EuropeanDateAnd24HrsTimeValue semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns EuropeanDateAnd24HrsTimeValue
               Value returns EuropeanDateAnd24HrsTimeValue
               ConstantValue returns EuropeanDateAnd24HrsTimeValue
               StaticValue returns EuropeanDateAnd24HrsTimeValue
               DateAndTimeValue returns EuropeanDateAnd24HrsTimeValue
               EuropeanDateAnd24HrsTimeValue returns EuropeanDateAnd24HrsTimeValue

           Constraint:
               (dateValue=EURODATE timeValue=TWENTYFOURHRSTIME)

    - #### sequence_EuropeanDateValue

          protected void sequence_EuropeanDateValue​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                    EuropeanDateValue semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns EuropeanDateValue
               Value returns EuropeanDateValue
               ConstantValue returns EuropeanDateValue
               StaticValue returns EuropeanDateValue
               DateValue returns EuropeanDateValue
               EuropeanDateValue returns EuropeanDateValue

           Constraint:
               dateValue=EURODATE

    - #### sequence_ExecutionMultiplier

          protected void sequence_ExecutionMultiplier​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                      ExecutionMultiplier semanticObject)

           Contexts:
               ExecutionMultiplier returns ExecutionMultiplier

           Constraint:
               count=ConstantValue

    - #### sequence_FixedParameterName

          protected void sequence_FixedParameterName​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                     FixedParameterName semanticObject)

           Contexts:
               ParameterName returns FixedParameterName
               FixedParameterName returns FixedParameterName

           Constraint:
               annotation=[JvmAnnotationReference|ID]

    - #### sequence_FixedResultName

          protected void sequence_FixedResultName​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                  FixedResultName semanticObject)

           Contexts:
               ResultName returns FixedResultName
               FixedResultName returns FixedResultName

           Constraint:
               field=[JvmField|ID]

    - #### sequence_ForkDefinition

          protected void sequence_ForkDefinition​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                 ForkDefinition semanticObject)

           Contexts:
               Statement returns ForkDefinition
               PackageStatement returns ForkDefinition
               ForkDefinition returns ForkDefinition

           Constraint:
               (
                   documentation=DocumentationComment?
                   private='private'?
                   name=QualifiedName
                   description=STRING?
                   (forkerClass=JavaClassReference | baseFork=[ForkDefinition|QualifiedName])?
                   parameters+=ForkParameter*
               )

    - #### sequence_ForkParameter

          protected void sequence_ForkParameter​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                ForkParameter semanticObject)

           Contexts:
               ForkParameter returns ForkParameter

           Constraint:
               (name=FixedParameterName value=ValueOrEnumValueOrOperation)

    - #### sequence_Import

          protected void sequence_Import​(org.eclipse.xtext.serializer.ISerializationContext context,
                                         Import semanticObject)

           Contexts:
               Import returns Import

           Constraint:
               importedNamespace=QualifiedNameWithWildcard

    - #### sequence_InexistentValue

          protected void sequence_InexistentValue​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                  Inexistent semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns Inexistent
               Value returns Inexistent
               ConstantValue returns Inexistent
               StaticValue returns Inexistent
               InexistentValue returns Inexistent

           Constraint:
               {Inexistent}

    - #### sequence_IntegerValue

          protected void sequence_IntegerValue​(org.eclipse.xtext.serializer.ISerializationContext context,
                                               IntegerValue semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns IntegerValue
               Value returns IntegerValue
               ConstantValue returns IntegerValue
               StaticValue returns IntegerValue
               IntegerValue returns IntegerValue

           Constraint:
               integerValue=INTEGER

    - #### sequence_IsoDateAndTimeValue

          protected void sequence_IsoDateAndTimeValue​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                      IsoDateAndTimeValue semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns IsoDateAndTimeValue
               Value returns IsoDateAndTimeValue
               ConstantValue returns IsoDateAndTimeValue
               StaticValue returns IsoDateAndTimeValue
               DateAndTimeValue returns IsoDateAndTimeValue
               IsoDateAndTimeValue returns IsoDateAndTimeValue

           Constraint:
               (dateValue=ISODATE timeValue=ISOTIME)

    - #### sequence_IsoDateValue

          protected void sequence_IsoDateValue​(org.eclipse.xtext.serializer.ISerializationContext context,
                                               IsoDateValue semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns IsoDateValue
               Value returns IsoDateValue
               ConstantValue returns IsoDateValue
               StaticValue returns IsoDateValue
               DateValue returns IsoDateValue
               IsoDateValue returns IsoDateValue

           Constraint:
               dateValue=ISODATE

    - #### sequence_IsoTimeValue

          protected void sequence_IsoTimeValue​(org.eclipse.xtext.serializer.ISerializationContext context,
                                               IsoTimeValue semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns IsoTimeValue
               Value returns IsoTimeValue
               ConstantValue returns IsoTimeValue
               StaticValue returns IsoTimeValue
               TimeValue returns IsoTimeValue
               IsoTimeValue returns IsoTimeValue

           Constraint:
               timeValue=ISOTIME

    - #### sequence_JavaClassReference

          protected void sequence_JavaClassReference​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                     JavaClassReference semanticObject)

           Contexts:
               JavaClassReference returns JavaClassReference

           Constraint:
               type=[JvmType|QualifiedJavaClassName]

    - #### sequence_JavaConstantReference

          protected void sequence_JavaConstantReference​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                        JavaConstantReference semanticObject)

           Contexts:
               JavaConstantReference returns JavaConstantReference

           Constraint:
               (type=[JvmType|QualifiedJavaClassName] constant=[JvmField|UPPERCASE_ID])

    - #### sequence_JavaConstantValue

          protected void sequence_JavaConstantValue​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                    JavaConstantValue semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns JavaConstantValue
               Value returns JavaConstantValue
               ConstantValue returns JavaConstantValue
               StaticValue returns JavaConstantValue
               JavaConstantValue returns JavaConstantValue

           Constraint:
               constant=JavaConstantReference

    - #### sequence_KeyValuePair

          protected void sequence_KeyValuePair​(org.eclipse.xtext.serializer.ISerializationContext context,
                                               KeyValuePair semanticObject)

           Contexts:
               KeyValuePair returns KeyValuePair

           Constraint:
               ((identifier=ID | stringIdentifier=STRING) value=ValueOrEnumValueOrOperationCollection)

    - #### sequence_MethodReference

          protected void sequence_MethodReference​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                  MethodReference semanticObject)

           Contexts:
               MethodReference returns MethodReference

           Constraint:
               (type=[JvmType|QualifiedJavaClassName] method=[JvmOperation|ID])

    - #### sequence_Model

          protected void sequence_Model​(org.eclipse.xtext.serializer.ISerializationContext context,
                                        Model semanticObject)

           Contexts:
               Model returns Model

           Constraint:
               (imports+=Import* statements+=Statement*)

    - #### sequence_NamedCallResult

          protected void sequence_NamedCallResult​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                  NamedCallResult semanticObject)

           Contexts:
               NamedCallResult returns NamedCallResult

           Constraint:
               (name=ResultName target=VariableVariable)

    - #### sequence_NamedResult

          protected void sequence_NamedResult​(org.eclipse.xtext.serializer.ISerializationContext context,
                                              NamedResult semanticObject)

           Contexts:
               NamedResult returns NamedResult

           Constraint:
               (name=ResultName value=ValueOrEnumValueOrOperationCollection)

    - #### sequence_NestedObject

          protected void sequence_NestedObject​(org.eclipse.xtext.serializer.ISerializationContext context,
                                               NestedObject semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns NestedObject
               Value returns NestedObject
               NestedObject returns NestedObject

           Constraint:
               attributes+=KeyValuePair+

    - #### sequence_NullValue

          protected void sequence_NullValue​(org.eclipse.xtext.serializer.ISerializationContext context,
                                            Null semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns Null
               Value returns Null
               ConstantValue returns Null
               StaticValue returns Null
               NullValue returns Null

           Constraint:
               {Null}

    - #### sequence_OperationDefinition

          protected void sequence_OperationDefinition​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                      OperationDefinition semanticObject)

           Contexts:
               PackageStatement returns OperationDefinition
               OperationDefinition returns OperationDefinition

           Constraint:
               (name=QualifiedName operationType=JavaClassReference)

    - #### sequence_PackageDefinition

          protected void sequence_PackageDefinition​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                    PackageDefinition semanticObject)

           Contexts:
               Statement returns PackageDefinition
               PackageDefinition returns PackageDefinition

           Constraint:
               (documentation=DocumentationComment? name=QualifiedName statements+=PackageStatement*)

    - #### sequence_ParameterTableHeader

          protected void sequence_ParameterTableHeader​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                       ParameterTableHeader semanticObject)

           Contexts:
               ParameterTableHeader returns ParameterTableHeader

           Constraint:
               name=ParameterName

    - #### sequence_ParameterTableValue

          protected void sequence_ParameterTableValue​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                      ParameterTableValue semanticObject)

           Contexts:
               ParameterTableValue returns ParameterTableValue

           Constraint:
               value=ValueOrEnumValueOrOperationCollection

    - #### sequence_Parameter

          protected void sequence_Parameter​(org.eclipse.xtext.serializer.ISerializationContext context,
                                            Parameter semanticObject)

           Contexts:
               Parameter returns Parameter

           Constraint:
               (name=ParameterName value=ValueOrEnumValueOrOperationCollection)

    - #### sequence_RegexValue

          protected void sequence_RegexValue​(org.eclipse.xtext.serializer.ISerializationContext context,
                                             RegexValue semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns RegexValue
               Value returns RegexValue
               ConstantValue returns RegexValue
               StaticValue returns RegexValue
               RegexValue returns RegexValue

           Constraint:
               regexValue=REGEX

    - #### sequence_ResultTableHeader

          protected void sequence_ResultTableHeader​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                    ResultTableHeader semanticObject)

           Contexts:
               ResultTableHeader returns ResultTableHeader

           Constraint:
               name=ResultName

    - #### sequence_Simple12HrsTimeValue

          protected void sequence_Simple12HrsTimeValue​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                       Simple12HrsTimeValue semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns Simple12HrsTimeValue
               Value returns Simple12HrsTimeValue
               ConstantValue returns Simple12HrsTimeValue
               StaticValue returns Simple12HrsTimeValue
               TimeValue returns Simple12HrsTimeValue
               Simple12HrsTimeValue returns Simple12HrsTimeValue

           Constraint:
               timeValue=TWELVEHRSTIME

    - #### sequence_Simple24HrsTimeValue

          protected void sequence_Simple24HrsTimeValue​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                       Simple24HrsTimeValue semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns Simple24HrsTimeValue
               Value returns Simple24HrsTimeValue
               ConstantValue returns Simple24HrsTimeValue
               StaticValue returns Simple24HrsTimeValue
               TimeValue returns Simple24HrsTimeValue
               Simple24HrsTimeValue returns Simple24HrsTimeValue

           Constraint:
               timeValue=TWENTYFOURHRSTIME

    - #### sequence_StandardOperation

          protected void sequence_StandardOperation​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                    StandardOperation semanticObject)

           Contexts:
               Operation returns StandardOperation
               StandardOperation returns StandardOperation
               ValueOrEnumValueOrOperation returns StandardOperation

           Constraint:
               (
                   firstOperand=ValueOrEnumValueOrOperation
                   (
                       (
                           operators+='+' |
                           operators+='-' |
                           operators+='*' |
                           operators+='/' |
                           operators+='%' |
                           operators+='..'
                       )
                       moreOperands+=ValueOrEnumValueOrOperation
                   )+
               )

    - #### sequence_StringValue

          protected void sequence_StringValue​(org.eclipse.xtext.serializer.ISerializationContext context,
                                              StringValue semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns StringValue
               Value returns StringValue
               ConstantValue returns StringValue
               StaticValue returns StringValue
               StringValue returns StringValue

           Constraint:
               stringValue=STRING

    - #### sequence_SuiteDefinition

          protected void sequence_SuiteDefinition​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                  SuiteDefinition semanticObject)

           Contexts:
               PackageStatement returns SuiteDefinition
               SuiteDefinition returns SuiteDefinition

           Constraint:
               (
                   documentation=DocumentationComment?
                   private='private'?
                   singleRun='single-run'?
                   inlined='inlined'?
                   name=QualifiedName
                   parameters+=SuiteParameterDefinition*
                   return+=SuiteReturnDefinition*
                   dependencies+=[SuiteDefinition|QualifiedName]*
                   finalizers+=[SuiteDefinition|QualifiedName]*
                   statements+=SuiteStatement*
               )

    - #### sequence_SuiteParameterDefinition

          protected void sequence_SuiteParameterDefinition​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                           SuiteParameterDefinition semanticObject)

           Contexts:
               SuiteParameterDefinition returns SuiteParameterDefinition

           Constraint:
               (name=VariableEntity default=ValueOrEnumValueOrOperationCollection?)

    - #### sequence_SuiteParameter

          protected void sequence_SuiteParameter​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                 SuiteParameter semanticObject)

           Contexts:
               SuiteParameter returns SuiteParameter

           Constraint:
               (name=[VariableOrConstantEntity|QualifiedName] value=ValueOrEnumValueOrOperationCollection)

    - #### sequence_SuiteReturnDefinition

          protected void sequence_SuiteReturnDefinition​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                        SuiteReturnDefinition semanticObject)

           Contexts:
               SuiteReturnDefinition returns SuiteReturnDefinition

           Constraint:
               name=VariableEntity

    - #### sequence_SuiteReturn

          protected void sequence_SuiteReturn​(org.eclipse.xtext.serializer.ISerializationContext context,
                                              SuiteReturn semanticObject)

           Contexts:
               SuiteReturn returns SuiteReturn

           Constraint:
               (name=[SuiteReturnDefinition|QualifiedName] target=VariableVariable)

    - #### sequence_Suite

          protected void sequence_Suite​(org.eclipse.xtext.serializer.ISerializationContext context,
                                        Suite semanticObject)

           Contexts:
               SuiteStatement returns Suite
               SuiteStatementWithResult returns Suite
               Suite returns Suite

           Constraint:
               (
                   inlined='inlined'?
                   multiplier=ExecutionMultiplier?
                   definition=[SuiteDefinition|QualifiedName]
                   parameters+=SuiteParameter*
                   return+=SuiteReturn*
                   fork=[ForkDefinition|QualifiedName]?
                   variants+=[VariantDefinition|QualifiedName]*
               )

    - #### sequence_TableTestRow

          protected void sequence_TableTestRow​(org.eclipse.xtext.serializer.ISerializationContext context,
                                               TableTestRow semanticObject)

           Contexts:
               TableTestRow returns TableTestRow

           Constraint:
               values+=ParameterTableValue+

    - #### sequence_TableTest

          protected void sequence_TableTest​(org.eclipse.xtext.serializer.ISerializationContext context,
                                            TableTest semanticObject)

           Contexts:
               SuiteStatement returns TableTest
               SuiteStatementWithResult returns TableTest
               TableTest returns TableTest

           Constraint:
               (
                   definition=[TestDefinition|QualifiedName]
                   parameters+=Parameter*
                   parameterHeaders+=ParameterTableHeader*
                   resultHeaders+=ResultTableHeader*
                   defaultResultColumn='='?
                   rows+=TableTestRow+
               )

    - #### sequence_TestDefinition

          protected void sequence_TestDefinition​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                 TestDefinition semanticObject)

           Contexts:
               PackageStatement returns TestDefinition
               TestDefinition returns TestDefinition

           Constraint:
               (documentation=DocumentationComment? name=QualifiedName fixtureMethod=MethodReference)

    - #### sequence_Test

          protected void sequence_Test​(org.eclipse.xtext.serializer.ISerializationContext context,
                                       Test semanticObject)

           Contexts:
               SuiteStatement returns Test
               SuiteStatementWithResult returns Test
               Test returns Test

           Constraint:
               (
                   checkpoint='checkpoint'?
                   definition=[TestDefinition|QualifiedName]
                   parameters+=Parameter*
                   results+=NamedResult*
                   result=ValueOrEnumValueOrOperationCollection?
               )

    - #### sequence_TimeDifference

          protected void sequence_TimeDifference​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                 TimeDifference semanticObject)

           Contexts:
               TimeDifference returns TimeDifference

           Constraint:
               ((direction='+' | direction='-') (fixedValues+=TIMESPAN+ | calculatedValue=Variable | calculatedValue=Operation))

    - #### sequence_TimeProgressionFactor

          protected void sequence_TimeProgressionFactor​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                        TimeProgressionFactor semanticObject)

           Contexts:
               TimeProgressionFactor returns TimeProgressionFactor

           Constraint:
               (fixedValue=MULTIPLIER | calculatedValue=Variable | calculatedValue=Operation)

    - #### sequence_TimeSet

          protected void sequence_TimeSet​(org.eclipse.xtext.serializer.ISerializationContext context,
                                          TimeSet semanticObject)

           Contexts:
               SuiteStatement returns TimeSet
               SuiteStatementWithResult returns TimeSet
               TimeSet returns TimeSet

           Constraint:
               (
                   (
                       live='live' |
                       ((startTime=ValueOrEnumValueOrOperation | diffTime=TimeDifference) (progressionMode='progressing' progressionFactor=TimeProgressionFactor?)?)
                   )
                   forks+=[ForkDefinition|QualifiedName]?
                   (masterFork='master'? forks+=[ForkDefinition|QualifiedName]?)*
               )

    - #### sequence_TypedNestedObject

          protected void sequence_TypedNestedObject​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                    TypedNestedObject semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns TypedNestedObject
               Value returns TypedNestedObject
               TypedNestedObject returns TypedNestedObject

           Constraint:
               (type=JavaClassReference nestedObject=NestedObject)

    - #### sequence_USDateAnd12HrsTimeValue

          protected void sequence_USDateAnd12HrsTimeValue​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                          USDateAnd12HrsTimeValue semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns USDateAnd12HrsTimeValue
               Value returns USDateAnd12HrsTimeValue
               ConstantValue returns USDateAnd12HrsTimeValue
               StaticValue returns USDateAnd12HrsTimeValue
               DateAndTimeValue returns USDateAnd12HrsTimeValue
               USDateAnd12HrsTimeValue returns USDateAnd12HrsTimeValue

           Constraint:
               (dateValue=USDATE timeValue=TWELVEHRSTIME)

    - #### sequence_USDateValue

          protected void sequence_USDateValue​(org.eclipse.xtext.serializer.ISerializationContext context,
                                              USDateValue semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns USDateValue
               Value returns USDateValue
               ConstantValue returns USDateValue
               StaticValue returns USDateValue
               DateValue returns USDateValue
               USDateValue returns USDateValue

           Constraint:
               dateValue=USDATE

    - #### sequence_ValueOrEnumValueOrOperationCollection

          protected void sequence_ValueOrEnumValueOrOperationCollection​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                                        ValueOrEnumValueOrOperationCollection semanticObject)

           Contexts:
               ValueOrEnumValueOrOperationCollection returns ValueOrEnumValueOrOperationCollection

           Constraint:
               (value=ValueOrEnumValueOrOperation moreValues+=ValueOrEnumValueOrOperation*)

    - #### sequence_VariableAssignment

          protected void sequence_VariableAssignment​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                     VariableAssignment semanticObject)

           Contexts:
               SuiteStatement returns VariableAssignment
               VariableAssignment returns VariableAssignment

           Constraint:
               (value=ValueOrEnumValueOrOperationCollection target=VariableVariable)

    - #### sequence_VariableDefinition

          protected void sequence_VariableDefinition​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                     VariableDefinition semanticObject)

           Contexts:
               PackageStatement returns VariableDefinition
               SuiteStatement returns VariableDefinition
               VariableDefinition returns VariableDefinition

           Constraint:
               (private='private'? name=VariableEntity initialValue=ValueOrEnumValueOrOperationCollection?)

    - #### sequence_VariableEntity

          protected void sequence_VariableEntity​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                 VariableEntity semanticObject)

           Contexts:
               VariableEntity returns VariableEntity
               VariableOrConstantEntity returns VariableEntity

           Constraint:
               name=QualifiedName

    - #### sequence_VariableVariable

          protected void sequence_VariableVariable​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                   VariableVariable semanticObject)

           Contexts:
               VariableVariable returns VariableVariable

           Constraint:
               name=[VariableEntity|QualifiedName]

    - #### sequence_Variable

          protected void sequence_Variable​(org.eclipse.xtext.serializer.ISerializationContext context,
                                           Variable semanticObject)

           Contexts:
               ValueOrEnumValueOrOperation returns Variable
               Value returns Variable
               Variable returns Variable

           Constraint:
               (name=[VariableOrConstantEntity|QualifiedName] attribute=QualifiedName?)

    - #### sequence_VariantDefinition

          protected void sequence_VariantDefinition​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                    VariantDefinition semanticObject)

           Contexts:
               Statement returns VariantDefinition
               PackageStatement returns VariantDefinition
               VariantDefinition returns VariantDefinition

           Constraint:
               (documentation=DocumentationComment? name=QualifiedName description=STRING?)

    - #### sequence_VariantValue

          protected void sequence_VariantValue​(org.eclipse.xtext.serializer.ISerializationContext context,
                                               VariantValue semanticObject)

           Contexts:
               VariantValue returns VariantValue

           Constraint:
               (names+=[VariantDefinition|QualifiedName]+ value=ValueOrEnumValueOrOperationCollection)

    - #### sequence_VisibleDivider

          protected void sequence_VisibleDivider​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                 VisibleDivider semanticObject)

           Contexts:
               VisibleDivider returns VisibleDivider
               SuiteStatement returns VisibleDivider

           Constraint:
               content=DIVIDER

    - #### sequence_VisibleMultiLineNormalComment

          protected void sequence_VisibleMultiLineNormalComment​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                                VisibleMultiLineNormalComment semanticObject)

           Contexts:
               VisibleComment returns VisibleMultiLineNormalComment
               VisibleMultiLineComment returns VisibleMultiLineNormalComment
               VisibleMultiLineNormalComment returns VisibleMultiLineNormalComment
               SuiteStatement returns VisibleMultiLineNormalComment

           Constraint:
               content=ML_VISIBLE_COMMENT

    - #### sequence_VisibleMultiLineTitleComment

          protected void sequence_VisibleMultiLineTitleComment​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                               VisibleMultiLineTitleComment semanticObject)

           Contexts:
               VisibleComment returns VisibleMultiLineTitleComment
               VisibleMultiLineComment returns VisibleMultiLineTitleComment
               VisibleMultiLineTitleComment returns VisibleMultiLineTitleComment
               SuiteStatement returns VisibleMultiLineTitleComment

           Constraint:
               content=ML_VISIBLE_TITLE_COMMENT

    - #### sequence_VisibleSingleLineNormalComment

          protected void sequence_VisibleSingleLineNormalComment​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                                 VisibleSingleLineNormalComment semanticObject)

           Contexts:
               VisibleComment returns VisibleSingleLineNormalComment
               VisibleSingleLineComment returns VisibleSingleLineNormalComment
               VisibleSingleLineNormalComment returns VisibleSingleLineNormalComment
               SuiteStatement returns VisibleSingleLineNormalComment

           Constraint:
               content=SL_VISIBLE_COMMENT

    - #### sequence_VisibleSingleLineTitleComment

          protected void sequence_VisibleSingleLineTitleComment​(org.eclipse.xtext.serializer.ISerializationContext context,
                                                                VisibleSingleLineTitleComment semanticObject)

           Contexts:
               VisibleComment returns VisibleSingleLineTitleComment
               VisibleSingleLineComment returns VisibleSingleLineTitleComment
               VisibleSingleLineTitleComment returns VisibleSingleLineTitleComment
               SuiteStatement returns VisibleSingleLineTitleComment

           Constraint:
               content=SL_VISIBLE_TITLE_COMMENT